import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import '@/plugins/meta';
import '@/plugins/axios';
import '@/plugins/check-res';
import '@/plugins/element';
import '@/plugins/setting';
import '@/plugins/other';
import '@/plugins/moment';
import '@/plugins/dateM';
import Print from '@frame/utils/print';
Vue.use(Print); //注册
import InitStomp from '@/plugins/stomp';

Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#app');
InitStomp();
